package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.TableQrcode;

import java.util.List;

/**
 * 餐桌码Mapper接口
 */
public interface TableQrcodeMapper extends BaseMapper<TableQrcode>
{
    /**
     * 查询餐桌码
     */
    public TableQrcode selectTableQrcodeById(Long id);

    /**
     * 查询餐桌码列表
     */
    public List<TableQrcode> selectTableQrcodeList(TableQrcode tableQrcode);

    /**
     * 新增餐桌码
     */
    public int insertTableQrcode(TableQrcode tableQrcode);

    /**
     * 修改餐桌码
     */
    public int updateTableQrcode(TableQrcode tableQrcode);

    /**
     * 删除餐桌码
     */
    public int deleteTableQrcodeById(Long id);

    /**
     * 检查桌号是否重复
     */
    public int checkTableNoUnique(TableQrcode tableQrcode);
}
